summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorL.G. Sarmiento2016-08-02 14:17:45 +0200
committerL.G. Sarmiento2016-08-02 14:17:45 +0200
commit7b1de3aa87573d9e2dd794d7ea5e48b5b9df07ff (patch)
treecb6337b086b91088306821547ed13d5db2a6cd7e
parenta366a630e79542b39d2f4dd062272927b7867992 (diff)
downloadaur-7b1de3aa87573d9e2dd794d7ea5e48b5b9df07ff.tar.gz
updated to proper VCS settings
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD35
2 files changed, 20 insertions, 22 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fd75f8abaf9..b77a2619896 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,12 +1,17 @@
+# Generated by mksrcinfo v8
+# Tue Aug 2 12:17:26 UTC 2016
pkgbase = emacs-monky-git
pkgdesc = Emacs extension that provides an interactive interface for mercurial hg
- pkgver = 20130402
+ pkgver = r163.9885717
pkgrel = 1
url = http://ananthakumaran.in/monky/index.html
arch = any
license = unknown
makedepends = git
depends = emacs
+ provides = emacs-monky
+ source = emacs-monky::git+https://github.com/ananthakumaran/monky.git
+ md5sums = SKIP
pkgname = emacs-monky-git
diff --git a/PKGBUILD b/PKGBUILD
index 220a6c4e965..dce57dd1491 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,8 @@
# $Id: pkgbuild-mode.el,v 1.23 2007/10/20 16:02:14 juergen Exp $
# Maintainer: L.G. Sarmiento (Pico) <lgsarmientop-ala-unal.edu.co>
pkgname=emacs-monky-git
-pkgver=20130402
+_pkgname=emacs-monky
+pkgver=r163.9885717
pkgrel=1
pkgdesc="Emacs extension that provides an interactive interface for mercurial hg"
url="http://ananthakumaran.in/monky/index.html"
@@ -9,34 +10,26 @@ arch=('any')
license=('unknown')
depends=('emacs')
makedepends=('git')
-_gitroot="git://github.com/ananthakumaran/monky.git"
-_gitname="monky"
+provides=($_pkgname)
-build(){
- cd ${srcdir}
- msg "Connecting to GIT server..."
-
- if [ -d ${srcdir}/$_gitname ]; then
- cd $_gitname && git pull origin
- msg "The local files are updated."
- else
- git clone $_gitroot #Shallow repo. --depth 1 nto possible
- fi
+source=($_pkgname::git+https://github.com/ananthakumaran/monky.git)
+md5sums=('SKIP')
- msg "GIT checkout done or server timeout"
- msg "Starting make..."
+pkgver() {
+ cd ${srcdir}/$_pkgname
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
- if [ -d ${srcdir}/$_gitname-build ]; then
- rm -rf ${srcdir}/$_gitname-build
- fi
+build(){
- git clone ${srcdir}/$_gitname ${srcdir}/$_gitname-build || return 1
- cd ${srcdir}/$_gitname-build
+ git clone ${srcdir}/$_pkgname ${srcdir}/$_pkgname-build || return 1
+ cd ${srcdir}/$_pkgname-build
make
+
}
package(){
- cd ${srcdir}/$_gitname-build/ || return 1
+ cd ${srcdir}/$_pkgname-build/ || return 1
mkdir -p ${pkgdir}/usr/share/emacs/site-lisp/monky || return 1
cp -a ./* ${pkgdir}/usr/share/emacs/site-lisp/monky || return 1
}